아마존 판매자 상품
Amazon Seller Products는 특정 Amazon 판매자가 제공하는 상품 카탈로그를 가격, 평점, 배송 세부 정보와 함께 반환합니다. 페이지네이션에는 page를 사용하세요.
Endpoint
섹션 제목: “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 사용자의 SERP API 키(Amazon과 공유됨). |
engine | string | yes | amazon이어야 합니다. |
type | string | yes | seller_products이어야 합니다. |
seller_id | string | yes | Amazon 판매자 ID(예: AAZRLVTNON75Z). |
domain | string | no | 마켓플레이스 도메인, 기본값 amazon.com. |
device | desktop | mobile | no | 시뮬레이션할 디바이스. |
page | integer | no | 결과 페이지 번호. |
Example request
섹션 제목: “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_products", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_products', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
섹션 제목: “Example response”{ "search_parameters": { "amazon_url": "https://www.amazon.com/s?me=AAZRLVTNON75Z", "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_products", "seller_id": "AAZRLVTNON75Z" }, "search_results": { "product_results": [ { "position": 1, "product_id": "B01NGTV4J5", "title": "Cascade Platinum Dishwasher Pods", "link": "https://www.amazon.com/dp/B01NGTV4J5", "thumbnail": "https://m.media-amazon.com/images/I/71-268JmbAL.jpg", "price": "$38.88", "currency": "$", "shipping_details": ["FREE delivery May 2 - 5"] }, { "position": 2, "product_id": "B000SDKDM4", "title": "Lavazza Super Crema Whole Bean Coffee Blend", "price": "$36.64", "bestseller": { "category": "in Roasted Coffee Beans" } } ] }, "pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }}